Name:           gears-backgrounds
Version:        0.0.1
Release:        2%{?dist}
Summary:        Gears desktop backgrounds

Group:          Applications/Multimedia
License:        CC-BY-SA
URL:            https://fedoraproject.org/wiki/Artwork/F10Themes/Gears
Source0:        gears-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%description
This package contains desktop backgrounds for the Gears theme.

%prep
%setup -q -n gears-%{version}


%build

%install
rm -rf $RPM_BUILD_ROOT
# copy image files
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/backgrounds/gears
cp -a $RPM_BUILD_DIR/gears-%{version}/*.png \
        $RPM_BUILD_ROOT/%{_datadir}/backgrounds/gears
# copy metadata xml file
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/gnome-background-properties
cp -a $RPM_BUILD_DIR/gears-%{version}/desktop-backgrounds-gears.xml \
        $RPM_BUILD_ROOT/%{_datadir}/gnome-background-properties



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%dir %{_datadir}/backgrounds
%dir %{_datadir}/backgrounds/gears
%{_datadir}/backgrounds/gears/*.png
%dir %{_datadir}/gnome-background-properties
%{_datadir}/gnome-background-properties/desktop-backgrounds-gears.xml


%changelog
* Wed Sep 10 2008 Martin Sourada <mso@fedoraproject.org> - 0.0.1-2
- Use %%{_datadir} instead of %%{_prefix}/share

* Wed Sep 10 2008 Martin Sourada <mso@fedoraproject.org> - 0.0.1-1
- Initial RPM package
